## Function(event, treeId, treeNode)setting.callback.onCollapse

### Overview[ depends on jquery.ztree.core js ]

Callback for collapse node.

If you set 'setting.callback.beforeCollapse',and return false, zTree will not collapse node, and will not trigger the 'onCollapse' callback.

Default: null

### Function Parameter Descriptions

#### event js event Object

event Object

#### treeId String

zTree unique identifier: treeId.

#### treeNode JSON

JSON data object of the node to be collapsed

### Examples of setting & function

#### 1. When collapse node, alert info about 'tId' and 'name'.

    function myOnCollapse(event, treeId, treeNode) {
        alert(treeNode.tId + ", " + treeNode.name);
    };
    var setting = {
    	callback: {
    		onCollapse: myOnCollapse
    	}
    };
    ......